ncsa.hdf.hdflib

## Class HDFOldCompInfo

- java.lang.Object
- - ncsa.hdf.hdflib.HDFCompInfo
  - - ncsa.hdf.hdflib.HDFOldCompInfo

Direct Known Subclasses:
  HDFIMCOMPCompInfo, HDFJPEGCompInfo, HDFOldRLECompInfo

    public class HDFOldCompInfo
    extends HDFCompInfo

This class is a generic container for the parameters to the HDF compressed classes, with the ``ole'' encoding.

Compression parameters are expressed as instances of sub-classes of this type.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

### Field Summary

Fields
`int` `ctype`

### Constructor Summary

Constructors
Constructor and Description
`HDFOldCompInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctype

    public int ctype

### Constructor Detail

#### HDFOldCompInfo

    public HDFOldCompInfo()